#30557 closed enhancement (fixed)

Add spkg-configure.m4 for openssl

Reported by: mkoeppe Owned by:
Priority: critical Milestone: sage-9.2
Component: build: configure Keywords:
Cc: gh-mwageringel, dimpase, mjo, slelievre Merged in:
Authors: Matthias Koeppe Reviewers: Dima Pasechnik, Markus Wageringel
Report Upstream: N/A Work issues:
Branch: 4c332c0 (Commits, GitHub, GitLab) Commit: 4c332c0889de9eae20909cece67fa6bb1061d3e0
Dependencies: Stopgaps:

Status badges

Description (last modified by mkoeppe)

So that ./configure can suggest the necessary system packages for Sage's python3 SPKG to build with ssl.

(This ticket does not change the status of openssl as an optional package.)

Related:

  • #29555: Upgrade: OpenSSL 3.0, make it a standard package

Change History (12)

comment:1 Changed 15 months ago by slelievre

  • Description modified (diff)

comment:3 Changed 15 months ago by mkoeppe

  • Branch set to u/mkoeppe/add_spkg_configure_m4_for_openssl

comment:4 Changed 15 months ago by git

  • Commit set to 4c332c0889de9eae20909cece67fa6bb1061d3e0

Branch pushed to git repo; I updated commit sha1. New commits:

4c332c0build/pkgs/openssl/distros: Add more

comment:5 Changed 15 months ago by mkoeppe

  • Authors set to Matthias Koeppe
  • Status changed from new to needs_review

comment:6 Changed 15 months ago by mkoeppe

  • Reviewers set to https://github.com/mkoeppe/sage/actions/runs/250810929

comment:7 Changed 15 months ago by mkoeppe

  • Reviewers changed from https://github.com/mkoeppe/sage/actions/runs/250810929 to https://github.com/mkoeppe/sage/actions/runs/250810929, https://github.com/mkoeppe/sage/actions/runs/250810930

comment:8 Changed 15 months ago by mkoeppe

  • Description modified (diff)

Ready for review

comment:9 Changed 15 months ago by gh-mwageringel

I do not know autotools well enough to review this, but on my Ubuntu machine lacking libssl-dev, this now seems to work:

configure: notice: the following SPKGs did not find equivalent system packages: ... openssl ...
checking for the package system in use... debian
configure: hint: installing the following system packages is recommended and may avoid building some of the above SPKGs from source:
configure:   $ sudo apt-get update
  $ sudo apt-get install ... openssl libssl-dev ...

comment:10 Changed 15 months ago by dimpase

  • Reviewers changed from https://github.com/mkoeppe/sage/actions/runs/250810929, https://github.com/mkoeppe/sage/actions/runs/250810930 to Dima Pasechnik, Markus Wageringel
  • Status changed from needs_review to positive_review

ok, it just calls a semi-standard macro for recognising openssl.

comment:11 Changed 15 months ago by mkoeppe

Thanks

comment:12 Changed 15 months ago by vbraun

  • Branch changed from u/mkoeppe/add_spkg_configure_m4_for_openssl to 4c332c0889de9eae20909cece67fa6bb1061d3e0
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.